package org.openxma.dsl.reference.types.valueobject;

/**
 * Represents a custom DataType for <code>VOFloat</code>.
 */
public class VOFloat extends org.openxma.dsl.platform.valueobject.ValueObjectFloat {

    /**
     * Put the control and responsibility on the developer to determine the version of the
     * serialization class with which a serialized object is compatible.
     */
    private static final long serialVersionUID = 100L;

    /**
     * default ctor
     */
    public VOFloat(Float pFloat) {
    	super(pFloat);
    }

    /**
     * Create a new instance of VOFloat or return null depending on input.
     */
    public static VOFloat newOrNull(Float pFloat) {
        if (pFloat != null) {
            return new VOFloat(pFloat);
        }
        return null;
    }

    /**
     * Create a new instance of VOFloat or return null depending on input.
     */
    public static VOFloat newOrNull(String value) {
        if (value != null && value.length() > 0) {
            return new VOFloat(Float.valueOf(value));
        }
        return null;
    }

}
