namespace org.openxma.dsl.reference.ui.styleselectors

import org.openxma.dsl.reference.*

component xma::StyleSelectors style=AllStyles {

    data Customer customer1
    data Customer customer2
    data Customer[] customers

    page TableColumnStylePage {

        content {
            table customerTable key=customers.oid top=0 bottom=100% {
                customers.firstName
                customers.lastName
            }
        }
    }

    page StyleSelectorsPage {

        command load
        uicommand closePage

        eventmapping {
            onInit -> load
            closeButton -> closePage
        }

        content {
            vpanel dataComposite top=0 bottom=actionComposite scrollable=true tabulator=150 {
                text txt1
                text txt2 align = center
                vpanel {
                    text txt3a
                    text txt3b align = left
                    text txt3c001
                    text txt3c002
                }
                vpanel {
                    label lab1 "Label 1" align = left
                    label lab2 "Label 2"
                    label lab3 "Label 3"
                }
                vpanel {
                    customer1.firstName
                    customer1.lastName
                }
                vpanel {
                    (label)customer2.firstName
                    (label)customer2.lastName
                }
                vpanel {
                    button bt1 "Button 2"
                    button buttonWithOtherName "Button 1"
                    button bt2 "Button 2" align = left
                }
            }
            hpanel actionComposite bottom=100% style=actionButton {
                button closeButton "Close"
            }
        }
    }
}

// All styles which are applied for the component
style AllStyles extends TextWidgets,RightAlignedTextWidgets {

}

style TextWidgets select text,label,button {
    width: 200
}

style RightAlignedTextWidgets select text#txt3*,field#*firstName,label,button#bt* {
    align : right
}